r5585 - trunk/gta02-core/modules

werner at docs.openmoko.org werner at docs.openmoko.org
Sun Aug 30 20:39:46 CEST 2009


Author: werner
Date: 2009-08-30 20:39:46 +0200 (Sun, 30 Aug 2009)
New Revision: 5585

Modified:
   trunk/gta02-core/modules/mkloe
Log:
- modules/mkloe: added -one-ps option to convert all modules to a combined
  Postscript file
- modules/mkloe: added -one-pdf option to convert all modules to a combined
  Postscript file
- modules/mkloe: accept --option as well as -option
- modules/Makefile: added "make gen" to generate combined Postscript and PDF
- modules/Makefile: added "make upload" to put combined Postscript and PDF on 
  the Web server
- modules/Makefile: "make ps" and new "make xpdf" now use the combined files



Modified: trunk/gta02-core/modules/mkloe
===================================================================
--- trunk/gta02-core/modules/mkloe	2009-08-30 13:20:11 UTC (rev 5584)
+++ trunk/gta02-core/modules/mkloe	2009-08-30 18:39:46 UTC (rev 5585)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # Make a Library of Everything
 
 MODS="332fbga-p05 bga96-8x12-0mm8 ge865 stdpass tst wm3236aq"
@@ -6,6 +6,13 @@
 LIB=gta02-core.mod
 
 
+usage()
+{
+    echo "$0: [ --ps | --one-ps file | --one-pdf file ]" 1>&2
+    exit 1
+}
+
+
 for n in $MODS; do
     if [ ! -r $n.fpd ]; then
 	echo $n.fpd: cannot read 1>&2
@@ -13,13 +20,28 @@
     fi
 done
 
-if [ "$1" = "-ps" ]; then
+if [ "$1" = "-ps" -o "$1" = "--ps" ]; then
     for n in $MODS; do
 	fped -p $n.fpd || exit 1
     done
     exit 0
 fi
 
+if [ "$1" = "-one-ps" -o "$1" = "--one-ps" ]; then
+    [ ! -z "$2" ] || usage
+    eval psmerge -o$2 `for n in $MODS; do \
+      echo "<(fped -p $n.fpd -)"; done`
+    exit 0
+fi
+
+if [ "$1" = "-one-pdf" -o "$1" = "--one-pdf" ]; then
+    [ ! -z "$2" ] || usage
+    eval gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=$2 -f \
+      `for n in $MODS; do echo "<(fped -p $n.fpd -)"; done`
+    exit 0
+fi
+
+
 for n in $MODS; do
     fped -k $n.fpd -
 done |




More information about the commitlog mailing list